> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# スキャンレポートを取得

> スキャンレポートをHTML、SARIF、またはMarkdown形式で取得します



## OpenAPI

````yaml /ja/api-reference/openapi.json get /scan/{scan_id}/report
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /scan/{scan_id}/report:
    get:
      tags:
        - スキャン
        - レポート
      summary: スキャンレポートを取得
      description: スキャンレポートをHTML、SARIF、またはMarkdown形式で取得します
      operationId: getScanReport
      parameters:
        - name: scan_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: スキャンID
        - name: format
          in: query
          required: false
          schema:
            type: string
            enum:
              - sarif
              - html
              - markdown
            default: sarif
          description: レポート形式（html、sarif、またはmarkdown）
        - name: view
          in: query
          required: false
          schema:
            type: string
            default: cwe
          description: HTMLレポートの表示タイプ
        - name: urgency
          in: query
          required: false
          schema:
            type: string
            enum:
              - CR
              - HI
              - ME
              - LO
          description: 緊急度で絞り込みます
      responses:
        '200':
          description: レポートを正常に取得しました
          content:
            application/json:
              schema:
                description: format=sarifの場合のSARIFレポート
                type: object
            text/html:
              schema:
                type: string
                description: format=htmlの場合のHTMLレポート
            text/markdown:
              schema:
                type: string
                description: format=markdownの場合のMarkdownレポート。担当者が存在する場合、問題の項目に担当者が含まれます。
          headers:
            Content-Disposition:
              description: format=sarifの場合のダウンロードファイル名
              schema:
                type: string
        '403':
          description: 権限がありません
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Permission denied
        '404':
          description: スキャンが見つかりません
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Scan not found
        '500':
          description: レポートの生成に失敗しました
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: >-
                      SARIF export failed. Please try again later or contact
                      support.
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````